HISTORY
-------
Version 3.9.4:
- bug fixes

Version 3.9.3:
- bug fixes

Version 3.9.2:
- bug fixes
- added support for new QScintilla stuff 
  (e.g. autocomplete from document and APIs)
- extended debugger to not set the encoding (configurable)
- added keyboard shortcuts for the shell
  -- to clear the shell
  -- for all zoom aczions (zoom in, zoom out, zoom)
- added the tool eric3-configure to setup eric3 without the need
  to start the IDE

Version 3.9.1:
- bug fixes
- introduced a config option for wrapping long lines in the editor
- removed Mercurial support because it wasn't used

Version 3.9.0:
- bug fixes

Version 3.9-snapshot-20060325:
- bug fixes
- some small changes to PyQt4 support functions
- changed the way the short description is generated (source
  code documentor). The short description is the first sentence 
  (i.e. up to a '.' or empty line) of the documentation string.
- fixed a compatibility problem with PyQt 3.16.

Version 3.9-snapshot-20060123:
- bug fixes
- usability enhancements:
  -- added more Qt4 support stuff
  -- added Qt4 support to various wizards
     (QFileDialog, QInputDialog, QMessageBox, QRegExp)
  -- added the @event tag to the documentation generator

Version 3.9-snapshot-20051222:
- bug fixes
- usability enhancements:
  -- added preliminary support for Qt4 projects
  -- added preliminary support for Qt4 to the debugger

Version 3.9-snapshot-20051218:
- bug fixes
- usability enhancements:
  -- added middle mouse button handling to the shell
  -- added special handling for left mouse button to the shell

Version 3.9-snapshot-20051210:
- bug fixes
- usability enhancements:
  -- added multi line paste and multi line drop to the shell
  -- changed shell to react on more keyboard commands
  -- added an incremental history search capability to the shell
  -- added separate histories per shell type (Python, Ruby, ...)
  -- added the capability to save the history to the shell
  -- added capability to enter the keysequence directly in the 
     keyboard setup dialog
  -- some ammendments for the quick search functionality

Version 3.9-snapshot-20051127:
- bug fixes
- usability enhancements:
  -- changed Python debugger to check the condition of breakpoints and
     watchpoints for syntax errors
  -- added a "smart indent" feature to the editor (thanks to 
     Maciek Fijalkowski). Currently this is available for Python only.
  -- extended the Subversion interface for svn versions >= 1.2.0
     (various lock and unlock functions, log with limited entries)
  -- added a page to the configuration window to show the helper
     programs supported by eric3 and their status (Preferences->Programs)
  -- made some functionalities availability dependant on PyQt modules
     found (qtui, qttable, qtcanvas)
  -- improved keybord handling (a bunch of additional keyboard shortcuts)

Version 3.8.0:
- one small bug fix

Version 3.8.0-rc2:
- bug fixes
- win32 compatibility fixes

Version 3.8.0-rc1:
- bug fixes
- changed ModuleDocumentor to keep order of @param and @keyparam list

Version 3.8-snapshot-20050925:
- bug fixes
- usability enhancements:
  -- further enhancements to quicksearch
  -- changed "Add file dialog" to allow the addition of
     multiple files to the project
  -- added support for PyLint

Version 3.8-snapshot-20050917:
- bug fixes
- fixed a security exploit
- usability enhancements:
  -- added support for Mercurial VCS

Version 3.8-snapshot-20050902:
- bug fixes
- usability enhancements:
  -- further enhancements to quicksearch (thanks to myself)
  -- added support for cx_Freeze (FreezePython)
  
Version 3.8-snapshot-20050825:
- bug fixes
- usability enhancements:
  -- added configurable filetype associations for projects
  -- added additional lexers (CSS files, TeX files, 
     Diff files, Make Files, Properties Files and Batch Files)
     (QScintilla > 1.5.x is required)
  -- added the flag '-t' to eric-doc and eric-api to tell them
     to look for additional files
  -- enhanced the incremental quicksearch (thanks to Maciek Fijalkowski)
- other changes:
  -- did some code reorganisation related to VCS integration.
     (This should prepare the code for the integration of
     additional VCS systems.)

Version 3.8-snapshot-20050724:
- bug fixes
- usability enhancements:
  -- enhanced Ruby support (thanks to Richard Dale)
  -- switching the editor will highlight the current file in
     the project browser
  -- added a context menu for the "Listspace" view manager
  -- added an incremental quicksearch to the search toolbar
- dropped support of HappyDoc

Version 3.8-snapshot-20050709:
- bug fixes
- usability enhancements:
  -- introduced a configuration option to disable writing a
     timestamp into all project related XML files
  -- added a templates system

Version 3.8-snapshot-20050703:
- bug fixes
- usability enhancements:
  -- added support for project specific debugger settings
     (see Project menu -> Debugger)
  -- added support for special watchpoint conditions
     (variable is created, variable is changed)
  -- some optimisations and additions in the project browsers
  -- changed the shell completion to use the Scintilla userlist.
     It is activated by pressing the TAB key and deactivated
     by pressing the ESC key (without selection) or the TAB or
     ENTER key (with selection).

Version 3.8-snapshot-20050624:
- bug fixes
- usability enhancements:
  -- some interface cleanups and little reorganization of the
     configuration dialog
  -- added action to open multiple files
  -- added the capability to delete shapes to the graphics dialogs
  -- extended task management with categorization and a colorized
     display
  -- added the capability to use %-codes for entering command line
     arguments. Supported codes are:
       %D   directory of the current editor
       %F   filename of the current editor
       %H   home directory of the current user
       %U   user name of the current user
       %%   the percent sign
     This functionality is available in the following dialogs:
       configuration dialog, Debugger->General page
       version control system, Command Options
       cvs, Execute Command
       subversion, Execute Command
       Tools Configuration
  -- added the commandline option "--nokde" to disable usage of the
     KDE dialogs
  -- added a configuration option to set the default encoding for
     files, that don't contain an encoding marker
  -- added possibility for path translation for passive debugging
     and remote debugging (Configuration Dialog -> Debugger -> General)
  -- added capability to generate source documentation using CSS style 
     sheets to the eric3-doc utility (including the default style and
     a style with reversed headers) (Note: eric3-helpviewer cannot
     show the styles due to the limited HTML support in QTextBrowser)

Version 3.7.1:
- bug fixes

Version 3.7.0:
- bug fixes
- made filenames of project tasks relative to project directory

Version 3.7-rc1:
- bug fixes
- added more help and documentation options

Version 3.7-snapshot-20050514:
- bug fixes
- made Ruby interpreter configurable
- added tasks and a task viewer
- added support for variables of type 'classobj'
- added configuration option to prevent the debug client
  from redirecting stdin, stdout and stderr to the IDE
- added configuration option to start the debug client in
  a console window (e.g. with xterm)
- added Wind... startup script and icon

Version 3.7-snapshot-20050430:
- bug fixes
- added support for classes derived from dict, list or tuple to
  the debugger
- graphics improvements
- changes to enhance win32 compatibility
- usability enhancements:
  -- added context menu for directories in the project browsers
  -- added some eye candy to the configuration dialog
     (thanks to Shane Richards)

Version 3.7-snapshot-20050410:
- bug fixes
- usability enhancements:
  -- added possibility to add a directory as a toplevel directory to
     the file browser
  -- added the configurable option to close the VCS dialog automatically,
     if no errors occured
  -- added the capability to perform a commit and a refresh to the subversion
     status dialog
  -- added the capability to keep translation files in their own directory
  -- added the capability to autosave upon a commit action
  -- added the capability to drop into debug mode from run mode
     (include a call to sys.breakpoint() to break at the next line and
     switch to debug mode)
  -- added menu entry to reload the API information (Settings menu)

Version 3.7-snapshot-20050326:
- bug fixes
- added a CORBA IDL class browser
- some code refactorings

Version 3.7-snapshot-20050320:
- bug fixes
- added a Ruby class browser
- added Ruby support to the documentation generator
- usability enhancements:
  -- replace the breakpoint dialogs by a breakpoint viewer embedded
     within the debug browser

Version 3.7-snapshot-20050309:
- bug fixes
- continued with Ruby debugger
- added lexer support for Lua
- changed display of variables to better cope with large arrays
  and dictionaries

Version 3.7-snapshot-20050227:
- bug fixes
- added watchpoints to the debugger and a frontend to the IDE
- added a context menu to the editor tabs
- continued with the Ruby debug client
- added UI type to the projects properties and support for compiling
  KDE UI files.

Version 3.7-snapshot-20050131:
- bug fixes
- added support for Ruby files
- added support for typed projects (type = progr. language)
- started with a Ruby debug client
- usability enhancements
  -- added capability to set the environment of the debugger
  -- added an extended diff to the subversion code with the
     capability to select the revisions to be compared

Version 3.6.1
- bug fixes

Version 3.6
- changes to make it compatible with upcoming sip 4.2
- minor corrections related to the use of the KDE dialogs

Version 3.6-snapshot-20041223:
- bug fixes
- added a previewer for translation files
- added a new and extended version of the coverage analysis module
  (thanks to Henk Spaay for supplying the neccessary patches)

Version 3.6-snapshot-20041219:
- bug fixes
- extended bug report dialog to work with mail servers that need
  authentication
- added a previewer for UI files
- usability enhancements
  -- added capability to set the environment to the debugger start dialog
  
Version 3.6-snapshot-20041205:
- bug fixes
- extended the class browser, the documentation generator and the
  diagram generators to cope with multiple (conditional) class and
  function definitions
- added some dialog wrappers that make eric use KDE dialogs, if
  KDE and PyKDE are installed
- usability enhancements
  -- added an icon previewer to the configuration dialog icons page

Version 3.6-snapshot-20041127:
- bug fixes
- changed code to use the 'eric3config.py' file
- changed installation to ease the job of packagers 
  (see python install.py -h and eric3config.linux as an example)
- usability enhancements
  -- 'search in files' selects text found
  -- added capability to enter variables filter patterns to the variable
     viewer windows
  -- added some helptext explaining Scintilla's regexp

Version 3.6-snapshot-20041121:
- bug fixes
- fixed a serious bug in the debugger causing the variables of the local
  frame not being displayed for an exception
- usability enhancements
  -- added possibility to select multiple entries in the various browsers
  -- added possibility to find and select all local/versioned entries in
     the various project browsers
  
Version 3.6-snapshot-20041029:
- bug fixes
- usability enhancements
  -- added capability to show protected and private classes and
     methods with a different icon
  -- added capability to show attributes of a class
  -- made display of non public classes, methods and attributes
     a configurable item (interface page)
  -- changed variables viewer to keep the state of the tree while
     debugging

Version 3.6-snapshot-20041023:
- bug fixes
- usability enhancements:
  -- added capability to show the coverage annotations in the editor
  -- added capability to select the protocol of the VCS server at
     login time
  -- added capability to enter input interactively into the running
     CVS process
  -- added support for alternative keyboard shortcuts
  
Version 3.6-snapshot-20041017:
- bug fixes
- usability enhancements:
  -- added a "Continue to cursor" command to the debugger
  -- added some code to make the QScintilla widget Qt-style aware
  -- added capability to reset a lexer
  -- added (configurable) capability to show the filename of the
     current editor in the caption of the main window
  -- added capability to have a separate file browser window or
     embed it into the debug-browser or project browser
  -- added view profiles and a correspondig configuration dialog

Version 3.5.1:
- bug fixes
- fixed a serious bug in the debugger causing the variables of the local
  frame not being displayed for an exception
- improved unicode support

Version 3.5:
- some small bug fixes

Version 3.5-snapshot-20040925-2:
- bug fixes

Version 3.5-snapshot-20040925:
- bug fixes

Version 3.5-snapshot-20040918:
- bug fixes
- a new "About Eric" dialog with active links
- integration of a lexer for bash shell scripts
- added the possibility to copy the contents of the log viewer
  window (via the context menu)

Version 3.5-snapshot-20040912:
- bug fixes
- added French translations provided by Julien Vienne
- added a sub menu to the editor context menu with the refactoring
  query functions.
- added a double clicked action to the breakpoint dialogs and made them
  non modal.
- added a function to show the syntax error message to the margin context
  menu of the editors
- added a function to open a translation file (.ts) in an editor

Version 3.5-snapshot-20040821:
- bug fixes
- added capability to configure the background colour of matched and
  nonmatching braces
- some performance improvements showing the various diff dialogs
- windows of the layout "Floating Windows" have the eric icon
- added the eric crystal icons as the default icon set (thanks to
  Shane Richards)

Version 3.5-snapshot-20040818:
- bug fixes
- some code rearrangements
- some usability enhancements:
  -- a new window layout called "floating windows"
  -- made a hidden debug browser appear, when a debug session is
     started, and disappear again, when it is over
  -- show the selected language in the language popup menu of the editor
- replaced the old Python shell with a QScintilla based variant
- added the capability to generate an API file for a project from within eric3

Version 3.5-snapshot-20040808:
- bug fixes
- some code rearrangements
- added DTDs for the various XML file types
- improved handling of XML file types (validating
  parser, error info,...)

Version 3.5-snapshot-20040801:
- usability enhancements:
  -- added a dialog to search for files
  -- changed a lot of places to better support unicode characters
     (This needs a LOT of testing still)

Version 3.5-snapshot-20040727:
- bug fixes
- usability enhancements:
  -- the search of the find and replace dialogs can be limited
     to a range of lines

Version 3.5-snapshot-20040725:
- bug fixes
- usability enhancements:
  -- changed forms of a project may be compiled automatically
      when an execute action (run, debug, ...) is requested
- added support for "getpass"
- changed the way translation files are searched for
- translation files are available as separate downloads

Version 3.5-snapshot-20040719:
- bug fixes
- added the "Single Application Mode"
  (only one instance of the IDE per user)

Version 3.5-snapshot-20040714:
-bug fixes
- usability enhancements:
  -- added capability to enter authentication data into various
     subversion dialogs
  -- added capability to save files automatically
- added Drag and Drop support

Version 3.5-snapshot-20040704:
- bug fixes
- usability enhancements:
  -- added capability to highlight lines that are too long (edge mode)
  -- .ptl files are syntax checked with the Quixote compile function
  -- reworked the VCS interface (especially the subversion interface)
  
Version 3.5-snapshot-20040622:
- bug fixes
- usability enhancements:
  -- keep link clicked in view in the VCS log windows
  -- added support for non standard subversion repository
     layout (standard is project/trunk, project/tags,
     project/branches; nonstandard is everything else)
  
Version 3.5-snapshot-20040619:
- bug fixes
- usability enhancements:
  -- extension of shell context menu
  -- handling of input() in debug client
  -- additional binding for Find Next in Find dialog
  -- added capability to rename files of a project
  -- added capability to remove keyboard bindung when it is redefined
  -- made the editor work smoother with QWorkspace (caption)
  -- added capability to set breakpoints while debugger is executing

Version 3.5-snapshot-20040529:
- bug fixes
- added capability to compare two files as a unified diff (diff dialog)
- added capability to compare two files side by side (compare dialog)
- added capability to show nested functions/classes under
  their parent in the browser views

Version 3.5-snapshot-20040522:
- bug fixes
- more usability enhancements
- some cleanups of the 'Project' menu
- converted dynamically generated import statements to statical ones
  in order to enable packagers to build an eric3 package
- added capability to perform an automatic syntax check for Python files
  when they are opened or saved (configurable via Editor - General)
- added capability to list folders first in all browser views

Version 3.5-snapshot-20040505:
- bug fixes
- changed unittest logic to search for testcases in the given module,
  if no module function named 'suite' could be found
- added capability to remove cyclops reports
- adoption to subversion 1.0
- dropped support for Python < 2.2.0
- reworked the show (Coverage, Profile, Cyclops) stuff
- changed "New Project" and "Project Properties" logic to include
  the given main script, if it exists and is not yet part of the project
- enhanced the unittest functionality with tighter integration into the IDE
- added separate actions for autocomplete from document and APIs
- more usability enhancements

Version 3.5-snapshot-20040418:
- bug fixes
- capability to display contents of simple Qt-types
- capability to change lexer to file extension association
- capability to bookmark files
- added support for Perl
- capability to shorten lines consisting of whitespace characters only
- adoption to the upcoming qscintilla 1.3
- added multiple views to the same document
- added a hard breakpoint. Use it as follows:
  if hasattr(sys, 'breakpoint'): sys.breakpoint()
- changed back to xml.sax
- some usability enhancements

Version 3.4.2
- some bug fixes
- changed unittest logic to search for testcases in the given module,
  if no module function named 'suite' could be found
- adoption to subversion 1.0
- include a message marker in the subject line for bug emails
- a few usability enhancements

Version 3.4.1
- fixed a serious bug in VariablesViewer

Version 3.4:
- last snapshot released as version 3.4

Version 3.4-snapshot-20040324:
- bug fixes
- added a pixmap cache to make eric3 more resources friendly.

Version 3.4-snapshot-20040321:
- bug fixes
- added a wizard for Python regular expressions

Version 3.4-snapshot-20040314:
- added a QRegExp wizard
- moved internal icons to external resources stored in 
  .../icons/default
- made the icons path a configuration item
- changed layout of the configuration dialog

Version 3.4-snapshot-20040302:
- bug fixes
- added capability to change all background colours of a lexer to
  the preferences dialog
- added capability to display PDF files to the helpviewer
- added capability to switch the editor to a monospaced font, which
  can be set in the preferences dialog
- added capability to save compressed project files and project
  session
- added capability to save compressed keyboard shortcuts files

Version 3.4-snapshot-20040218:
- bug fixes
- added capability to export/import keyboard shortcuts
- changed an option in eric3-doc and included a new flag
- added a spiced up splashscreen
- added capability to set the caret foreground, caretline background,
  caretline visibility and the caret width in the preferences dialog
- added the capability to trace into the Python library
  
Version 3.4-snapshot-20040214:
- bug fixes
- updated BRM to version cvs20040205
- added interface to the Cyclops cycle finder
- added cursor position to data saved in a session
- changed tabs of SBVviewer to show icons
- updated Russian translations

Version 3.4-snapshot-20040131:
- bug fixes
- rearranged main menu to make it shorter
- added a simple viewer for picture files
- updated BRM to version cvs20040114
- made it independant from xml.sax by using the XMLFilter library
- added the capability to treat Quixote PTL files as Python files
  (including documentation generation, class browser and diagrams)
- added autoindentation after a ':' as a configurable item to the
  preferences
- added a keyboard action to autocomplete a word
- fixed a few bugs in the subversion interface
  (thanks to Sascha Gerkhardt for reporting them)

Version 3.4-snapshot-20040110:
- fixed a bug causing DebugClientThreads.py to fail

Version 3.4-snapshot-20040108:
- bug fixes
- added an additional possibility to start a passive debugger
  (see README-passive-debugging.txt for details)

Version 3.4-snapshot-20040106:
- bug fixes
- added action to switch of all highlights
- added a UML-like class diagram to the project sources browser
- added a diagram showing the import relationship of a package to the
  project sources browser
- added a diagram showing the applications package relations to the
  project sources browser and the project
- added a diagram to show a packages class diagram

Version 3.4-snapshot-20031218:
- bug fixes
- added capability to add a file without the .py extension as a python
  script
- python scriptfiles with a unix style #! line are recognized as such by
  the editor
- modified files are saved before a diff against the repository
- added capability to change the background colour of the selection.
- added "Add others file" and "Add others directory" to the project menu
- added a built in source documentation generator (eric3-doc)
- changed the source code documentation to use the internal
  source code documentation generator
  
Version 3.3.1:
- fixed a compatibility problem with PyQt/sip 3.9

Version 3.3:
- bug fixes
- added capability to perform an automatic reset
  after the client program has exited
- added capability to export the QTDIR setting

Version 3.3-snapshot-20031123:
- bug fixes
- updated Russian translations
- added more codecs to the list of supported codecs
- added the new type "bool" to the variables filter

Version 3.3-snapshot-20031115:
- bug fixes
- additional keyboard shortcuts
- changed passive debugging in order to be more
  compatible with mod_python
- added Russian translations (though not complete
  yet) (Thanks to Alexander Darovsky)
- added a dialog for sending bug reports (see
  help menu)

Version 3.3-snapshot-20031025:
- bug fixes
- integrated unit testing into the debug client
- integrated coverage analysis into unit testing, if
  unit tests are run from within eric3
- added the new QMessageBox type of Qt 3.2 to
  the QMessageBox Wizard

Version 3.3-snapshot-20031011:
- bug fixes
- code reorganisation in the debugger

Version 3.3-snapshot-20030920:
- bug fixes
- added a "Reload" function to the helpviewer
- recoded the variables reporting of the debugger
  to fix a severe performance problem

Version 3.3-snapshot-20030914:
- bug fixes
- added temporary breakpoint, capability to enable/
  disable breakoint and to set an ignore count
- added capability to show values of nested class variables
- upgraded to BRM Version 0.9
- added support for XML project session files
  (this is the default now)
- changed format of Wizards configuration to XML
- added commandline completion via the remote debug
  client to the shell
- added capability to save a diff to file
  
Version 3.3-snapshot-20030817:
- bug fixes
- added capability to create a new form from a template
  in the forms browser and start Qt-Designer with
  this form (tighter integration with Qt-Designer)
- added an interface to the Bicycle Repair Man refactoring
  tool (a copy of BRM is included).
- added bookmark handling to the editors
- added some more breakpoint actions to the menus
- added capability to expand/collaps directories to
  the project browsers

Version 3.3-snapshot-20030810:
- bug fixes
- added support for Pyrex files
- added scripting support to eric3 (see
  README-scripting.txt)
- added patch from Andrew Bushnell to set the appropriate
  path for the File/Open dialog
- some usability enhancements

Version 3.3-snapshot-20030805:
- bug fixes
- some changes from Andrew Bushnell
- added "Goto breakpoint" to BreakpointDialog
- added a "Generate subclass" entry to the FormsBrowser
  context menu
- added configurable keyboard shortcuts
- added capability to record, store, load and run editor macros.

Version 3.3-snapshot-20030719:
- bug fixes
- added support for XML project files
  (this is the default now)
- added a slightly enhanced class browser that
  shows the function/method signature
- added possibility to display non-local files
  to the helpviewer and some other stuff
  (context menu, Shift-LMB)
- some usability enhancements
- some small additions to the editor
- some changes to PyCoverage
- added posibility to change all fonts of a lexer to
  the Preferences Dialog
- added support for split views to Tabview and Listspace
- added support for Corba IDLs (via omniORB)

Version 3.2.0
- bug fixes
- added possibility to select the lexer language
  via the editor context menu (submenu Languages)
  
Version 3.2.0-snapshot-20030628:
- bug fixes
- added debug capabilities to the shell
  (arbitrary code can be executed in the
  context of the debugged program during
  a debugging session)
- added support for subversion properties and listing of
  tags and branches for subversion managed repositories
  
Version 3.2.0-snapshot-20030604:
- bug fixes
- added support for additional comment styles to the editor
- added support for HTML and SQL files
- added support for read only files

Version 3.2.0-snapshot-20030520:
- bug fixes
- removed some code redundancies in the QScintilla
  lexers
- changed PreferencesDialog and PreferencesLexer
  to handle the new QScintilla lexers
- added support for Java and JavaScript files
  
Version 3.2.0-snapshot-20030511:
- bug fixes
- interface to the Python profiler

Version 3.2.0-snapshot-20030506:
- bug fixes
- included a call to QextScintillaLexer.setDefaultFont
  to get rid of disappearing indentation markers
- added an interface to tabnanny (indentation checker)
- added a simple syntax checker based on Pythons
  internal bytecode compiler
- added a dialog to show some code metrics (based
  on code of the Pythius package)
- added support for collection and analysis of Python
  code coverage data (based on coverage.py)

Version 3.2.0-snapshot-20030413:
- bug fixes to make it work with older Qt Versions again
- added a dialog that shows all relevant version infos

Version 3.2.0-snapshot-20030410:
- bug fixes
- added an info message that shows, if a file was changed
  outside eric3
- made the Qt directory configurable (Various tab)

Version 3.2.0-snapshot-20030406:
- bug fixes
- added support for Subversion authentication (http: and
  https: URLs work now)
- added autocompletion and calltips
- added scripts to generate api files

Version 3.2.0-snapshot-20030324:
- bug fixes
- added run script and run project actions to run without
  the speed degradation caused by the debugger
- added an interface to the Subversion VCS
  (at the moment this interface works with file: and svn:
   URLs only)
- added a function to generate a project file automatically
  after a checkout of a project, if this doesn't contain an
  e3p file

Version 3.1.0:
- bug fixes
- added possibility to break upon a reported exception

Version 3.1.0-snapshot-20030309:
- bug fixes
- added a restart function to the debugger
- added an auto raise function to the debugger
- changed the project file format to be more platform neutral
  (specially in mixed environments)
- added an Exception Logger
- changed the exception handling of the debug clients so that
  unhandled exceptions are always reported and displayed with
  a message box. Depending on a flag set at debug start, all
  other reported exceptions are recorded in the exception logger.
- added a session functionality to the project (incl. a preferences
  setting for automatic saving/reading of the session)
- changed the variables viewer to display compound types as
  a tree
- added an indicator to show whether a source file is read only
- added module variables to the ones shown in detail in the
  variables viewer
- added a dialog that shows a variable in more detail to the
  variables viewer
- added a dialog to configure the exception types to be highlighted
- added functionality to set/reset/change breakpoints via the debug
  menu and the editor context menu

Version 3.1.0-snapshot-20030210:
- bug fixes
- usability enhancements
- changed behaviour of Workspace mode closing editor windows.
  Now they get deleted instead of hidden.
- added a second dock window layout with an embeded shell 
  (Hans-Peter Jansen)
- added a DebugClient able to debug threaded apps (Andrew Bushnell).
- improved Client shutdown procedure (Andrew Bushnell)
- added wizards for QFileDialog, QInputDialog, QColorDialog and QFontDialog
  
Version 3.1.0-snapshot-20030202:
- bug fixes
- added the ability to select the Python interpreter and the Debug Client
  to be used on the client side (s. Debugger tab of Preferences)
- added the ability to generate a backup file upon save (s. Editor/General
  tab of Preferences)
- extended the 'Search in Project' function to search in the files of a 
  directory tree as well
- added a recursive "Add ... Directory" function (s. Add Directory dialog)
- added a Wizards interface and a wizard for QMessageBox as an example
  (idea and some code outline by Antoni Aloy)

Version 3.1.0-snapshot-20030126:
- bug fixes
- added an interface to the happydoc API documentation generator
- added a configuration parameter to disable the tab expansion upon
  loading a file
- fixes for making eric3 Windows compatible (Andrew Bushnell)
- added the ability to pass multiple files and/or commandline arguments
  to be used for debugging on the command line (Andrew Bushnell)
- added the functionality to show the call stack and local variables
  for the selected stack frame to the local variables viewer

Version 3.1.0-snapshot-20030117:
- bug fixes
- changed the project files extension to ".e3p" to avoid problems with
  Qt-Designer overwriting our file (and vice versa)
- extended the filter list for opening/saving script/source files to include
  C/C++ files, C# files and IDL files as well
- additions to the Help Menu (Andrew Bushnell)
- added a layout that uses Dock Windows (Hans-Peter Jansen)

Version 3.1.0-snapshot-20030112:
- bug fixes
- added configurable shell font (Preferences Dialog - Various Tab)
- added "Copy" and "Paste" actions to the shell and the shell 
  context menu
- added a configurable part to the Tools menu including a dialog
  to enter the values
- added a passive debug mode where the debugger client connect to the 
  debug server. This can be used to debug mod_python or Zope scripts.
- added a debug client module without Qt. This is better suited for debugging
  mod_python and Zope scripts than the Qt version.
- added "Add Python directory" and "Add Forms directory" to the project menu
- "Add ... file" and "Add ... directory" dialogs changed so that the target directory 
  is automatically synchronized with the source directory, if the source directory
  name starts with the project directory
- added the possibility to pass a file to be opened on the commandline
  (*.pro opens as an eric3 project, everything else as a textfile) (Andrew Bushnell)


Version 3.1.0-snapshot-20021229:
- bug fixes
- code separated into various module directories
- include cvs functionality
- include function to search text in all project files
- converted the flat file view in Project Browser to a tree with directories
  (for sources and forms)
- created a "start debug" dialog for entering the commandline parameters,
  the working directory and a flag to disable the display of exceptions
- created a context menu for shell window (with clear and reset commands)

Version 3.0.1:
- bug fixes
- support new style classes with slots (new in Python 2.2)
- reenabled the "open on double click" action (Stefan Jaensch)
- implementation of PEP 263 (Martin v. Löwis)
- include printing functionality

Version 3.0.0:
- bug fixes
- shell has two special commands, reset to restart the Python
  interpreter and clear to clear the shell output
- an additional parameter for the install script to ease packaging 
  (Ralf Ahlbrink)
- non existant files are silently removed from the project file

Version 3.0.0-b1:
- bug fixes
- a new action to search for new files in the project
  directory and registered subdirectories
- a new layout for the sources tab of the Preferences 
  dialog (Gordon Tyler)
- eric3 remembers its geometry (Hans-Peter Jansen)
- a second layout style for the main window with the shell
  and the log viewer along the bottom border
- configurable font for the editor margins
- somewhat smaller icons (Hans-Peter Jansen)
- possibility to add all py/ui files of a directory to the project

Version 3.0.0-a2:
- bug fixes in the area of detection of foreign programs
- workaround for a strange PyQt behaviour of self.trUtf8().
  If a subclass doesn't have such a call, the translations
  for the parentclass are not found. Including a dummy call
  in __init__(self) fixes this.
  
Version 3.0.0-a1:
- include project handling
- started source modularisation
- implemented interface to pyuic, pylupdate and lrelease
  (via project browser)
- include qscintilla instead of old sourceviewer
- extend viewmanager to support qscintillas capabilities
- modified preferences to support the new functionality
- included a splash screen (Eric, the Troll)

Version 2.1.5 (never released):
- debugger related UI code put into DebuggerUI.py
- Search Interface for Helpviewer
- Zoom In, Zoom Out and Copy actions for Helpviewer

Version 2.1.4:
- configuration interface
- additional viewmanagers (listspace, workspace, tabview)
- Explorer extended to a class browser
- build.py writes some config info into a file used by eric
